Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs
Class Javadoc

    java.lang.Object
      |
      +--org.apache.tools.ant.Task
            |
            +--org.apache.tools.ant.taskdefs.Javadoc

public class Javadoc
extends Task

This task makes it easy to generate Javadoc documentation for a collection of source code.

Current known limitations are:

- patterns must be of the form "xxx.*", every other pattern doesn't work.
- the java comment-stripper reader is horribly slow
- there is no control on arguments sanity since they are left to the javadoc implementation.
- argument J in javadoc1 is not supported (what is that for anyway?)

If no `doclet` is set, then the `version` and `author` are by default `"yes"`.

Note: This task is run on another VM because the Javadoc code calls `System.exit()` which would break Ant functionality.

Author:
  Jon S. Stevens jon@clearink.com, Stefano Mazzocchi stefano@apache.org, Patrick Chanezon chanezon@netscape.com, Ernst de Haan ernst@jollem.com, Stefan Bodewig

Inner Class Summary
`class` | `Javadoc.DocletInfo`
`class` | `Javadoc.DocletParam`
`class` | `Javadoc.GroupArgument`
`class` | `Javadoc.LinkArgument`

Fields inherited from class org.apache.tools.ant.Task
`description, location, project, target, taskName, taskType, wrapper`

Constructor Summary
`Javadoc()`

Method Summary
`Path` | `createBootclasspath()`
`Path` | `createClasspath()`
`Javadoc.DocletInfo` | `createDoclet()`
`Javadoc.GroupArgument` | `createGroup()`
`Javadoc.LinkArgument` | `createLink()`
`Path` | `createSourcepath()`
`void` | `execute()` Called by the project to let the task do it's work.
`void` | `setAdditionalparam(java.lang.String add)`
`void` | `setAuthor(boolean src)`
`void` | `setBootclasspath(Path src)`
`void` | `setBootClasspathRef(Reference r)` Adds a reference to a CLASSPATH defined elsewhere.
`void` | `setBottom(java.lang.String src)`
`void` | `setCharset(java.lang.String src)`
`void` | `setClasspath(Path src)`
`void` | `setClasspathRef(Reference r)` Adds a reference to a CLASSPATH defined elsewhere.
`void` | `setDefaultexcludes(boolean useDefaultExcludes)` Sets whether default exclusions should be used or not.
`void` | `setDestdir(java.io.File dir)`
`void` | `setDocencoding(java.lang.String enc)`
`void` | `setDoclet(java.lang.String src)`
`void` | `setDocletPath(Path src)`
`void` | `setDocletPathRef(Reference r)`
`void` | `setDoctitle(java.lang.String src)`
`void` | `setEncoding(java.lang.String enc)`
`void` | `setExcludePackageNames(java.lang.String src)`
`void` | `setExtdirs(java.lang.String src)`
`void` | `setFailonerror(boolean b)` Should the build process fail if javadoc fails (as indicated by a non zero return code)?
`void` | `setFooter(java.lang.String src)`
`void` | `setGroup(java.lang.String src)`
`void` | `setHeader(java.lang.String src)`
`void` | `setHelpfile(java.io.File f)`
`void` | `setLink(java.lang.String src)`
`void` | `setLinkoffline(java.lang.String src)`
`void` | `setLocale(java.lang.String src)`
`void` | `setMaxmemory(java.lang.String max)`
`void` | `setNodeprecated(boolean b)`
`void` | `setNodeprecatedlist(boolean b)`
`void` | `setNohelp(boolean b)`
`void` | `setNoindex(boolean b)`
`void` | `setNonavbar(boolean b)`
`void` | `setNotree(boolean b)`
`void` | `setOld(boolean b)`
`void` | `setOverview(java.io.File f)`
`void` | `setPackage(boolean b)`
`void` | `setPackageList(java.lang.String src)`
`void` | `setPackagenames(java.lang.String src)`
`void` | `setPrivate(boolean b)`
`void` | `setProtected(boolean b)`
`void` | `setPublic(boolean b)`
`void` | `setSerialwarn(boolean b)`
`void` | `setSourcefiles(java.lang.String src)`
`void` | `setSourcepath(Path src)`
`void` | `setSourcepathRef(Reference r)` Adds a reference to a CLASSPATH defined elsewhere.
`void` | `setSplitindex(boolean b)`
`void` | `setStylesheetfile(java.io.File f)`
`void` | `setUse(boolean b)`
`void` | `setVerbose(boolean b)`
`void` | `setVersion(boolean src)`
`void` | `setWindowtitle(java.lang.String src)`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getProject, getRuntimeConfigurableWrapper, getTaskName, init, log, log, maybeConfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Javadoc

    public Javadoc()

Method Detail

### setDefaultexcludes

    public void setDefaultexcludes(boolean useDefaultExcludes)

  Sets whether default exclusions should be used or not.
  Parameters:
    `useDefaultExcludes` - "true"|"on"|"yes" when default exclusions should be used, "false"|"off"|"no" when they shouldn't be used.

### setMaxmemory

    public void setMaxmemory(java.lang.String max)

### setAdditionalparam

    public void setAdditionalparam(java.lang.String add)

### setSourcepath

    public void setSourcepath(Path src)

### createSourcepath

    public Path createSourcepath()

### setSourcepathRef

    public void setSourcepathRef(Reference r)

  Adds a reference to a CLASSPATH defined elsewhere.

### setDestdir

    public void setDestdir(java.io.File dir)

### setSourcefiles

    public void setSourcefiles(java.lang.String src)

### setPackagenames

    public void setPackagenames(java.lang.String src)

### setExcludePackageNames

    public void setExcludePackageNames(java.lang.String src)

### setOverview

    public void setOverview(java.io.File f)

### setPublic

    public void setPublic(boolean b)

### setProtected

    public void setProtected(boolean b)

### setPackage

    public void setPackage(boolean b)

### setPrivate

    public void setPrivate(boolean b)

### setDoclet

    public void setDoclet(java.lang.String src)

### setDocletPath

    public void setDocletPath(Path src)

### setDocletPathRef

    public void setDocletPathRef(Reference r)

### createDoclet

    public Javadoc.DocletInfo createDoclet()

### setOld

    public void setOld(boolean b)

### setClasspath

    public void setClasspath(Path src)

### createClasspath

    public Path createClasspath()

### setClasspathRef

    public void setClasspathRef(Reference r)

  Adds a reference to a CLASSPATH defined elsewhere.

### setBootclasspath

    public void setBootclasspath(Path src)

### createBootclasspath

    public Path createBootclasspath()

### setBootClasspathRef

    public void setBootClasspathRef(Reference r)

  Adds a reference to a CLASSPATH defined elsewhere.

### setExtdirs

    public void setExtdirs(java.lang.String src)

### setVerbose

    public void setVerbose(boolean b)

### setLocale

    public void setLocale(java.lang.String src)

### setEncoding

    public void setEncoding(java.lang.String enc)

### setVersion

    public void setVersion(boolean src)

### setUse

    public void setUse(boolean b)

### setAuthor

    public void setAuthor(boolean src)

### setSplitindex

    public void setSplitindex(boolean b)

### setWindowtitle

    public void setWindowtitle(java.lang.String src)

### setDoctitle

    public void setDoctitle(java.lang.String src)

### setHeader

    public void setHeader(java.lang.String src)

### setFooter

    public void setFooter(java.lang.String src)

### setBottom

    public void setBottom(java.lang.String src)

### setLinkoffline

    public void setLinkoffline(java.lang.String src)

### setGroup

    public void setGroup(java.lang.String src)

### setLink

    public void setLink(java.lang.String src)

### setNodeprecated

    public void setNodeprecated(boolean b)

### setNodeprecatedlist

    public void setNodeprecatedlist(boolean b)

### setNotree

    public void setNotree(boolean b)

### setNoindex

    public void setNoindex(boolean b)

### setNohelp

    public void setNohelp(boolean b)

### setNonavbar

    public void setNonavbar(boolean b)

### setSerialwarn

    public void setSerialwarn(boolean b)

### setStylesheetfile

    public void setStylesheetfile(java.io.File f)

### setHelpfile

    public void setHelpfile(java.io.File f)

### setDocencoding

    public void setDocencoding(java.lang.String enc)

### setPackageList

    public void setPackageList(java.lang.String src)

### createLink

    public Javadoc.LinkArgument createLink()

### createGroup

    public Javadoc.GroupArgument createGroup()

### setCharset

    public void setCharset(java.lang.String src)

### setFailonerror

    public void setFailonerror(boolean b)

  Should the build process fail if javadoc fails (as indicated by a non zero return code)?

  Default is false.

### execute

    public void execute()
                 throws BuildException

  Description copied from class: `Task`
  Called by the project to let the task do it's work. This method may be called more than once, if the task is invoked more than once. For example, if target1 and target2 both depend on target3, then running "ant target1 target2" will run all tasks in target3 twice.
  Overrides:
    `execute` in class `Task`
  Following copied from class: `org.apache.tools.ant.Task`
  Throws:
    `BuildException` - if someting goes wrong with the build

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache Software Foundation. All Rights Reserved.